Get Bot Tool
GET
/v1/bots/{bot_id}/api-tools/{tool_id}Gets a bot tool. Requires bot:read scope.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
bot_id*string
The ID of the bot.
Format
uuidtool_id*string
The ID of the tool.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/bots/550e8400-e29b-41d4-a716-446655440000/api-tools/550e8400-e29b-41d4-a716-446655440000"{ "data": { "is_hidden": true, "bot_id": "6aeb3568-4d84-4908-910c-9de28616de88", "confirmation_expiry_minutes": 60, "description": "this is an example tool", "id": "3ac24e5c-1382-4cf7-89e8-ad088e2905b8", "is_active": true, "name": "test tools", "needs_confirmation": true, "parameters": { "api_config": { "additional_payload": { "key_a": "value_a", "key_b": "value_b" }, "headers": { "testing": "testing" }, "method": "GET", "url": "https://webhook.site/54ceaf08-687b-4364-89f0-cc9d9b08a949" }, "llm_response_prompt": "testing resp prompt", "payload": { "properties": { "llm_extra_prompt_1": { "description": "testing extra properties", "required": true, "type": "boolean" } }, "required": [ "llm_extra_prompt_1" ] } }, "workspace_id": "5d0e21a6-82e4-4151-be94-18650f93a38c" }}